## kf6-kbookmarks 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KBookmarks VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMAddQch)
include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(kbookmarks_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kbookmarks_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KBOOKMARKS
                  VERSION_HEADER "${kbookmarks_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BookmarksConfigVersion.cmake"
                  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.6.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets Xml)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

ecm_install_po_files_as_qm(poqm)
ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)


add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Bookmarks")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Bookmarks_QCH
        FILE KF6BookmarksQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6BookmarksQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6BookmarksConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BookmarksConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BookmarksConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BookmarksConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6BookmarksTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6BookmarksTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kbookmarks_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kbookmarks 6.3.0

=== debian/changelog ===
kf6-kbookmarks (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:59:48 +0200

kf6-kbookmarks (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Apr 2024 22:41:18 +0200

kbookmarks (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015436).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:05:41 +0100

kbookmarks (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:43 +0200

kbookmarks (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:01 +0100

kbookmarks (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:30 +0100

kbookmarks (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

kbookmarks (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:34 +0100

kbookmarks (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:04 +0100

kbookmarks (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:48 +0200

kbookmarks (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:39 +0200

kbookmarks (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:07 +0200

kbookmarks (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kbookmarks (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

kbookmarks (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

kbookmarks (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

kbookmarks (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Really disable BLHC of Salsa CI.
  * New upstream release (5.86.0).

  [ Pino Toscano ]
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop very old libkf5bookmarks5-data breaks/replaces in libkf5bookmarks-data.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:50:15 +0900

kbookmarks (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

kbookmarks (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:00:54 +0900

kbookmarks (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:59 +0900

kbookmarks (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:14:04 +0900

kbookmarks (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:04:55 +0900

kbookmarks (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)


=== debian/control ===
Source: kf6-kbookmarks
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
Rules-Requires-Root: no

Package: libkf6bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library with support for bookmarks and the XBEL format
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf6bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf6bookmarks6 (= ${binary:Version}),
         libkf6bookmarkswidgets6 (= ${binary:Version}),
         libkf6configwidgets-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6bookmarks-doc (= ${source:Version}),
Description: Qt library with support for bookmarks and the XBEL format (development)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf6bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6bookmarks6
Architecture: any
Multi-Arch: same
Depends: libkf6bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks,
Description: Qt library with support for bookmarks and the XBEL format
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

Package: libkf6bookmarkswidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks,
Description: Qt library with support for bookmarks and the XBEL format (widgets)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

## kf6-kbookmarks 6.6.0

=== debian/changelog ===
kf6-kbookmarks (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:40 +0200

kf6-kbookmarks (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 20:14:08 +0200

kf6-kbookmarks (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:09 +0200

kf6-kbookmarks (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6configwidgets-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -38,7 +38,7 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.3.0~),
+         libkf6configwidgets-dev (>= 6.6.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),

## kf6-kbookmarks 6.9.0

=== debian/changelog ===
kf6-kbookmarks (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:44:36 +0000

kf6-kbookmarks (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:34:12 +0000

kf6-kbookmarks (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:04:12 +0100

kf6-kbookmarks (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:21:11 +0100

kf6-kbookmarks (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kbookmarks
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,18 +10,18 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6configwidgets-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6configwidgets-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kbookmarks
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
 Rules-Requires-Root: no
 
 Package: libkf6bookmarks-data
@@ -38,7 +39,7 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.6.0~),
+         libkf6configwidgets-dev (>= 6.9.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),

## kf6-kbookmarks 6.10.0

=== debian/changelog ===
kf6-kbookmarks (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:19 +0100

kf6-kbookmarks (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:12:03 +0100

kf6-kbookmarks (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: kf6-kbookmarks
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6config-dev (>= 6.9.0~),
-               libkf6configwidgets-dev (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6widgetsaddons-dev (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6configwidgets-dev (>= 6.7.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kbookmarks
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
 Rules-Requires-Root: no
 
 Package: libkf6bookmarks-data
@@ -39,8 +38,8 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.9.0~),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         libkf6configwidgets-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),
 Description: Qt library with support for bookmarks and the XBEL format (development)

## kf6-kbookmarks 6.11.0

=== debian/changelog ===
kf6-kbookmarks (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:24:14 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
                libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),

## kf6-kbookmarks 6.12.0

=== debian/changelog ===
kf6-kbookmarks (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:49:49 +0000

kf6-kbookmarks (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:45:44 +0000

kf6-kbookmarks (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:17:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: kf6-kbookmarks
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6configwidgets-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kbookmarks
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
 Rules-Requires-Root: no
 
 Package: libkf6bookmarks-data
@@ -38,8 +39,8 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.7.0~),
-         qt6-base-dev (>= 6.6.0~),
+         libkf6configwidgets-dev (>= 6.12.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),
 Description: Qt library with support for bookmarks and the XBEL format (development)

## kf6-kbookmarks 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -49,8 +49,8 @@
 
 ecm_install_po_files_as_qm(poqm)
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )

=== src/CMakeLists.txt ===
add_subdirectory(widgets)

add_library(KF6Bookmarks)
add_library(KF6::Bookmarks ALIAS KF6Bookmarks)

set_target_properties(KF6Bookmarks PROPERTIES
    VERSION     ${KBOOKMARKS_VERSION}
    SOVERSION   ${KBOOKMARKS_SOVERSION}
    EXPORT_NAME Bookmarks
)

ecm_create_qm_loader(KF6Bookmarks kbookmarks6_qt)

target_sources(KF6Bookmarks PRIVATE
    kbookmarkaction.cpp
    kbookmarkaction.h
    kbookmarkactioninterface.cpp
    kbookmarkactioninterface.h
    kbookmark.cpp
    kbookmark.h
    kbookmarkmanager.cpp
    kbookmarkmanager.h
    kbookmarkowner.cpp
    kbookmarkowner.h
    keditbookmarks_p.h
    keditbookmarks.cpp
    kbookmarksettings.cpp
)

ecm_qt_declare_logging_category(KF6Bookmarks
    HEADER kbookmarks_debug.h
    IDENTIFIER KBOOKMARKS_LOG
    CATEGORY_NAME kf.bookmarks
    OLD_CATEGORY_NAMES kf5.kbookmarks
    DESCRIPTION "KBookmarks"
    EXPORT KBOOKMARKS
)

ecm_generate_export_header(KF6Bookmarks
    BASE_NAME KBookmarks
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6Bookmarks INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks>")

target_link_libraries(KF6Bookmarks PUBLIC Qt6::Gui Qt6::Xml)
target_link_libraries(KF6Bookmarks PRIVATE
    KF6::CoreAddons # for KStringHandler
    KF6::ConfigCore # for KConfigGroup
)

ecm_generate_headers(KBookmarks_HEADERS
  HEADER_NAMES
  KBookmark
  KBookmarkAction
  KBookmarkActionInterface
  KBookmarkManager
  KBookmarkOwner

  REQUIRED_HEADERS KBookmarks_HEADERS
)

install(TARGETS KF6Bookmarks EXPORT KF6BookmarksTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_export.h
  ${KBookmarks_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KBOOKMARKS
    FILE kbookmarks.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF6Bookmarks_QCH
        NAME KBookmarks
        BASE_NAME KF6Bookmarks
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KBookmarks_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Widgets_QCH
            Qt6Xml_QCH
            KF6WidgetsAddons_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KBOOKMARKS_EXPORT
            KBOOKMARKS_DEPRECATED
            KBOOKMARKS_DEPRECATED_EXPORT
            "KBOOKMARKS_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kf6-kbookmarks (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:37:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: kf6-kbookmarks
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6configwidgets-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6configwidgets-dev (>= 6.7.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kbookmarks
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
 Rules-Requires-Root: no
 
 Package: libkf6bookmarks-data
@@ -39,8 +38,8 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.12.0~),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         libkf6configwidgets-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),
 Description: Qt library with support for bookmarks and the XBEL format (development)

## kf6-kbookmarks 6.16.0

=== debian/changelog ===
kf6-kbookmarks (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:39:31 +0100

kf6-kbookmarks (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:31:09 +0100

kf6-kbookmarks (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: kf6-kbookmarks
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6widgetsaddons-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6configwidgets-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kbookmarks
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
 Rules-Requires-Root: no
 
 Package: libkf6bookmarks-data
@@ -38,8 +39,8 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.7.0~),
-         qt6-base-dev (>= 6.6.0~),
+         libkf6configwidgets-dev (>= 6.16.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),
 Description: Qt library with support for bookmarks and the XBEL format (development)

## kf6-kbookmarks 6.17.0

=== debian/changelog ===
kf6-kbookmarks (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:13:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6configwidgets-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6configwidgets-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -39,7 +39,7 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.16.0~),
+         libkf6configwidgets-dev (>= 6.17.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),

## kf6-kbookmarks 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,14 +22,11 @@
 include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMGenerateQDoc)
 
-include(ECMAddQch)
 include(ECMPoQmTools)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(kbookmarks_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kbookmarks_version.h")
 ecm_setup_version(PROJECT
@@ -39,7 +36,7 @@
                   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets Xml)
 
@@ -49,8 +46,8 @@
 
 ecm_install_po_files_as_qm(poqm)
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.12.0
+    QT 6.10.0
+    KF 6.17.0
 )
 
 
@@ -62,16 +59,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Bookmarks")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Bookmarks_QCH
-        FILE KF6BookmarksQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6BookmarksQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt6::Test)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

include(ECMAddTests)

ecm_add_test(kbookmarktest.cpp TEST_NAME kbookmarktest LINK_LIBRARIES KF6::Bookmarks KF6::BookmarksWidgets Qt6::Test)

=== debian/changelog ===
kf6-kbookmarks (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: kf6-kbookmarks
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6config-dev (>= 6.17.0~),
-               libkf6configwidgets-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6widgetsaddons-dev (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6configwidgets-dev (>= 6.7.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kbookmarks
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kbookmarks
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kbookmarks.git
 Rules-Requires-Root: no
 
 Package: libkf6bookmarks-data
@@ -39,8 +38,8 @@
 Architecture: any
 Depends: libkf6bookmarks6 (= ${binary:Version}),
          libkf6bookmarkswidgets6 (= ${binary:Version}),
-         libkf6configwidgets-dev (>= 6.17.0~),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         libkf6configwidgets-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6bookmarks-doc (= ${source:Version}),
 Description: Qt library with support for bookmarks and the XBEL format (development)

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kbookmarks-([\d.]+)\.tar\.xz

## kf6-kbookmarks 6.18.0+p24.04+vstable+git20250914.1306

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
@@ -47,7 +47,7 @@
 ecm_install_po_files_as_qm(poqm)
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )

=== debian/changelog ===
kf6-kbookmarks (6.18.0+p24.04+vstable+git20250914.1306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 13:06:43 +0000

kf6-kbookmarks (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 22:47:01 +0000

kf6-kbookmarks (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:08:29 +0000

kf6-kbookmarks (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:00:51 +0000

kf6-kbookmarks (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:36:23 +0000

kf6-kbookmarks (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:24:22 +0000

kf6-kbookmarks (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:43:52 +0000

kf6-kbookmarks (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:49:28 +0000

kf6-kbookmarks (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:17:33 +0000

kf6-kbookmarks (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:28:32 +0000

kf6-kbookmarks (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:18:24 +0000

kf6-kbookmarks (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:21:34 +0000

kf6-kbookmarks (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:15:53 +0000

kf6-kbookmarks (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:22:46 +0000

kf6-kbookmarks (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:17:01 +0000

kf6-kbookmarks (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:35:18 +0000

kf6-kbookmarks (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:27:06 +1000

kf6-kbookmarks (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:49:42 +0000

kf6-kbookmarks (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 12:27:09 +0000

kf6-kbookmarks (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kbookmarks (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kbookmarks 6.18.0+p24.04+vstable+git20251003.0952

=== debian/changelog ===
kf6-kbookmarks (6.18.0+p24.04+vstable+git20251003.0952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 09:52:46 +0000
